Verify domain owner identity for editing

Check if a customer's identity is verified with BankID, which is required to edit personal or organization numbers for a domain.

Domain Services Domains

Context

Where to get IDs / values

Path Parameters

domainId integer · min: 1 required Example: 20454

Unique domain identifier

Headers

Accept Example
Content-Type Example

Responses

200
data object required
data.bankIdOrgno string · Example: [SE]555555-0000
data.bankIdPersonnummer string · Example: 900101-0000
data.companyName string · nullable · Example: null

Nullable: may be null when not applicable.

data.currentOrgno string · Example: [SE]555555-0000
data.domainExtension string · Example: se
data.domainName string · Example: example.com
data.domainOrgno string · Example: [SE]555555-0000
data.message string required · Example: BankID-verifiering krävs för att låsa upp redigering av personnummer/organisationsnummer

Human-readable message.

data.method string · Example: direct
data.reason string · Example: Ditt BankID-personnummer matchar inte domänens personnummer
data.requiresBankId boolean · Example: true
data.role string · nullable · Example: null

Nullable: may be null when not applicable.

data.verified boolean required · Example: false
requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

success boolean required · Example: true

True for successful responses.

timestamp string required · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

GET https://cloud.hostup.se/api/domain-verify-identity/{domainId}
For AI assistants
cURL
curl -X GET "https://cloud.hostup.se/api/domain-verify-identity/20454" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json"
Response
{
  "success": true,
  "timestamp": "2026-02-10T00:00:00.000Z",
  "requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
  "data": {
    "requiresBankId": true,
    "verified": false,
    "domainName": "example.com",
    "domainExtension": "se",
    "message": "BankID-verifiering krävs för att låsa upp redigering av personnummer/organisationsnummer"
  }
}